be.fgov.ehealth.bcp.protocol.v3

## Class Endpoint

- java.lang.Object
- - be.fgov.ehealth.bcp.protocol.v3.Endpoint

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-29T11:40:05+02:00",
                 comments="JAXB RI v2.3.7")
      public class Endpoint
      extends Object
      implements Serializable

  Java class for EndpointType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="EndpointType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:be:fgov:ehealth:bcp:protocol:v3}PolicyGroup" maxOccurs="unbounded" minOccurs="0"/>
               <element name="Uri" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
             <attribute name="Order" type="{http://www.w3.org/2001/XMLSchema}integer" />
             <attribute name="Status" type="{urn:be:fgov:ehealth:bcp:protocol:v3}StatusType" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Endpoint()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigInteger` | `getOrder()` Gets the value of the order property.
    `List<PolicyGroup>` | `getPolicyGroups()` Gets the value of the policyGroups property.
    `StatusType` | `getStatus()` Gets the value of the status property.
    `String` | `getUri()` Gets the value of the uri property.
    `void` | `setOrder(BigInteger value)` Sets the value of the order property.
    `void` | `setStatus(StatusType value)` Sets the value of the status property.
    `void` | `setUri(String value)` Sets the value of the uri property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Endpoint

          public Endpoint()

  - ### Method Detail

    - #### getPolicyGroups

          public List<PolicyGroup> getPolicyGroups()

      Gets the value of the policyGroups property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the policyGroups property.

      For example, to add a new item, do as follows:

              getPolicyGroups().add(newItem);

      Objects of the following type(s) are allowed in the list `PolicyGroup`

    - #### getUri

          public String getUri()

      Gets the value of the uri property.
      Returns:
        possible object is `String`

    - #### setUri

          public void setUri(String value)

      Sets the value of the uri property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOrder

          public BigInteger getOrder()

      Gets the value of the order property.
      Returns:
        possible object is `BigInteger`

    - #### setOrder

          public void setOrder(BigInteger value)

      Sets the value of the order property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getStatus

          public StatusType getStatus()

      Gets the value of the status property.
      Returns:
        possible object is `StatusType`

    - #### setStatus

          public void setStatus(StatusType value)

      Sets the value of the status property.
      Parameters:
        `value` - allowed object is `StatusType`

Connector Packaging PERSNURSE 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.